#ifndef ANALOG_GAUGE_H
#define ANALOG_GAUGE_H

#include "Gauge.h"

#include <cairomm/context.h>
#include <string>
using namespace std;

class AnalogGauge : virtual public Gauge {
  private:
	double MinAng, MaxAng, MinVal, MaxVal, CurrentVal;
	int NXpos, NYpos;
	bool CW;
	int width, height;
	int gauge_ID;
        string NeedlePATH;
	Cairo::RefPtr<Cairo::Context> cr;
	
  public:
	AnalogGauge(int, string, double, double, double, double, double, double);
	~AnalogGauge();
	void Update(Cairo::RefPtr<Cairo::Context>, double);
	void init(Cairo::RefPtr<Cairo::Context>);
	int getID(void) const;
};

#endif