#ifndef SCENE_H
#define SCENE_H

#include "Scene_Template.h"
#include "Gauge.h"

#include <list>
#include <cairomm/context.h>
#include <string>
using namespace std;

class Scene : virtual public Scene_Template {
  private:
    // Variables
    list <Gauge *> Gauges;
    string SceneName, bgImage;
    int nGauges, SceneID;
    double NXpos, NYpos;    
    Cairo::RefPtr<Cairo::Context> cr;
        
  public:
    Scene(int, string, int, list<Gauge *>, string);
    void Update(Cairo::RefPtr<Cairo::Context>, int, double);
    void init(Cairo::RefPtr<Cairo::Context>);
    void setScreenSize(double,double);
    int getID();
    virtual ~Scene();
};
#endif